entity bus_interface_top is
port
(
    inputs:  in  std_logic;
    outputs: out std_logic
);
end entity bus_interface_top;

architecture bus_interface_top_arch of bus_interface_top is
begin

    u_bus_interface_read_only: entity work.bus_interface_read(bus_interface_read_arch)
    port map
    (
        inputs  => inputs,
        outputs => outputs
    );

    u_bus_interface_write_only: entity work.bus_interface_write(bus_interface_write_arch)
    port map
    (
        inputs  => inputs,
        outputs => outputs
    );

    u_bus_interface_read: entity work.bus_interface_read(bus_interface_read_arch)
    port map
    (
        inputs  => inputs,
        outputs => outputs
    );

    u_bus_interface_write: entity work.bus_interface_write(bus_interface_write_arch)
    port map
    (
        inputs  => inputs,
        outputs => outputs
    );

end architecture bus_interface_top_arch;
